Download it now!
Bug 47036 - Error in rendering of rtf files generated by Crystal Report engine which were previously OK in LibO 3.4.
Summary: Error in rendering of rtf files generated by Crystal Report engine which were...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 RC1
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.6.0 target:3.5.3
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-03-06 23:52 UTC by Michael
Modified: 2015-12-17 12:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
.rtf (421.72 KB, application/rtf)
2012-03-06 23:52 UTC, Michael
Details
screen copy of bugdoc in LO 3.3.4 (67.36 KB, image/png)
2012-03-17 12:28 UTC, Jean-Baptiste Faure
Details
PDF export of bugdoc in LO 3.5.3 rc0+ (109.04 KB, text/x-moz-deleted)
2012-04-05 21:31 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael 2012-03-06 23:52:19 UTC
Created attachment 58106 [details]
.rtf

LibO 3.5 and 3.5.1 RC1 both were not able to render and print properly .docx and .rtf files.  Positions of items were wrong.
Comment 1 Björn Michaelsen 2012-03-09 01:11:47 UTC
Looks pretty broken in 3.4 for me too. Could you attach a reference picture showing what you expect (e.g. what you did see in 3.4, but not anymore in 3.5)?
Comment 2 Michael 2012-03-09 03:55:59 UTC
(In reply to comment #1)
> Looks pretty broken in 3.4 for me too. Could you attach a reference picture
> showing what you expect (e.g. what you did see in 3.4, but not anymore in 3.5)?

Previous LibO 3.4.5 was very much better than current 3.5 with the good placement positioning of Table objects, but object height truncated for the bigger fonts items.  Current 3.5 made a total mess of Table objects position on the page.

The .doc/.rtf files were generated by some Crystal report engine and can be used in M$ Word perfectly positioned.
Comment 3 Jean-Baptiste Faure 2012-03-17 12:28:02 UTC
I reproduce the problem with LO 3.5.1 and LO 3.5.2 rc0+ under Ubuntu 11.10 x86_64
If I consider LO 3.3.4 behavior as reference, the is a problem in the master too but it is mainly that the picture is missing at the top.

In LO 3.5.x I get the following error message : 
.../LibO/lo35/writerfilter/source/dmapper/GraphicImport.cxx:1486 failed. Message :GraphicCrop

I will attach a screen copy of the bugdoc as it is shown in LO 3.3.4.

Miklos : I think this one is for you. Please feel free to reassign if you can't handle this bug.

Best regards. JBF
Comment 4 Jean-Baptiste Faure 2012-03-17 12:28:59 UTC
Created attachment 58619 [details]
screen copy of bugdoc in LO 3.3.4
Comment 5 Vladimir 2012-03-21 04:07:59 UTC
confirming.
RTF is messed up, including Crystal Reports-generated.

in 3.4.5 it was usable with some restrictions (like disappearing graphical objects (lines, rectangles) after resave). But now it's just garbage from the start.

see attachment from this bug: https://bugs.freedesktop.org/show_bug.cgi?id=45394
https://bugs.freedesktop.org/attachment.cgi?id=58799
Comment 6 Miklos Vajna 2012-03-23 03:42:09 UTC
Hello,

Here is what I see: on master (3.6.0alpha0) the result looks acceptable, except that the picture is missing.

On -3-5 there are a few more problems; at least the document is supposed to have a single non-textbox paragraph, and there are many.

I'll look into the missing picture in a bit.

Miklos
Comment 7 Miklos Vajna 2012-03-24 06:58:54 UTC
I also noticed that the last textbox is split into two, that will be fixed in master in a bit as well.
Comment 8 Not Assigned 2012-03-24 08:44:17 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d9132c5046e15540abc20e45d64080708626441

fdo#47036 fix RTF import of shapes inside text frames at the start of the doc
Comment 9 Not Assigned 2012-03-24 08:50:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e994d528c67e4db1e0ef7ba01349a51acbdacb3

fdo#47036 fix RTF import of multi-paragraph exact height textboxes
Comment 10 Miklos Vajna 2012-03-24 08:57:10 UTC
Import result of the test document should be now on par with 3.4 in master. After giving it a bit more testing, I'll request cherry-picking of the fixes to -3-5.
Comment 11 Not Assigned 2012-04-05 07:05:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e59fa4f3ba1408939e4f937cea29fa614f84b37&g=libreoffice-3-5

fdo#47036 fix RTF import of shapes inside text frames at the start of the doc


It will be available in LibreOffice 3.5.3.
Comment 12 Not Assigned 2012-04-05 07:06:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=830c2151d48e0821b183348c1778856f7d85d296&g=libreoffice-3-5

fdo#47036 fix RTF import of multi-paragraph exact height textboxes


It will be available in LibreOffice 3.5.3.
Comment 13 Jean-Baptiste Faure 2012-04-05 21:31:41 UTC
Created attachment 59567 [details]
PDF export of bugdoc in LO 3.5.3 rc0+

Hi Miklos,

Are you sure that your commits solve the problem in LO 3.5 as they solve it in the master? Please have a look at my PDF export in LO 3.5.3 rc0+ (LibreOffice 3.5.3rc0+ Version ID : 7a9ea6e-a73d29c-6845e52-f269e46-31eca31).

Best regards. JBF
Comment 14 Miklos Vajna 2012-04-06 05:06:27 UTC
JBF,

Indeed, it seems some more cherry-picking is needed from master. I'll see what fix is missing from -3-5.

Thanks,

Miklos
Comment 15 Not Assigned 2012-04-06 06:41:15 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ff3c94c471ee586c733121e528e9623c4344224&g=libreoffice-3-5

fdo#47036 n#703032 RTF/DOCX import: fixed the import of consecutive frames


It will be available in LibreOffice 3.5.3.
Comment 16 Miklos Vajna 2012-04-06 06:42:36 UTC
OK, now this should be the same in master and -3-5.
Comment 17 Jean-Baptiste Faure 2012-04-06 08:17:26 UTC
(In reply to comment #16)
> OK, now this should be the same in master and -3-5.

Yes it is :-) (LibreOffice 3.5.3rc0+ Version ID : 2ff3c94-a73d29c-6845e52-f269e46-31eca31)

Thank you very much !
Comment 18 Jean-Baptiste Faure 2012-04-30 09:41:07 UTC
Verified in LO 3.5.3 rc2. Closing. Thank you.
Comment 19 Robinson Tryon (qubit) 2015-12-17 12:04:31 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]